Bug 1740264 - SDN is missing OVS installed
Summary: SDN is missing OVS installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.1.z
Assignee: Phil Cameron
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 14:34 UTC by Tomáš Nožička
Modified: 2019-08-28 19:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ovs is missing from the build (internal build problem) Consequence: internal build problem resulted in ovs not getting installed and problem was found in the e2e tests. Fix: cause the build to fail when rpm is not available. Result: Build failure focuses attention on the build problem.
Clone Of:
Environment:
Last Closed: 2019-08-28 19:54:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2547 None None None 2019-08-28 19:54:59 UTC
Github openshift origin pull 23591 None None None 2019-08-14 19:18:34 UTC

Description Tomáš Nožička 2019-08-12 14:34:05 UTC
Description of problem:


F0809 22:27:43.081544   14836 cmd.go:119] Failed to initialize sdn: failed to initialize SDN: OVS is not installed


https://storage.googleapis.com/origin-ci-test/pr-logs/pull/23580/pull-ci-openshift-origin-release-4.1-e2e-aws/133/artifacts/build-logs/node.log

No package openvswitch2.11 available.


Temporarily add `--setopt=skip_missing_names_on_install=False` to yum install to make sure it fails if missing. default yum conf for that is comming.

Comment 1 Casey Callendrello 2019-08-12 14:37:21 UTC
Hey Phil,
Can you add the same bits that you added in sdn #8 to the 4.1 node image? It's in the origin repo.

Comment 2 Phil Cameron 2019-08-12 14:41:45 UTC
Will do.

Comment 3 Phil Cameron 2019-08-12 15:16:01 UTC
@casey do you mean sdn #21? SDN #8 is something you did. Unidling: minimize iptables lock contention #8

Comment 4 Phil Cameron 2019-08-12 15:34:07 UTC
https://github.com/openshift/origin/pull/23591

Comment 6 Anurag saxena 2019-08-21 14:05:51 UTC
Currently the merged PR is present in the RED build. Will wait for next green build to verify this. Thanks!

Comment 7 Anurag saxena 2019-08-22 19:39:42 UTC
This works fine on 4.1.0-0.nightly-2019-08-21-150150, don't see any issues on my env on this nightly build containing merged PR. Used simlar steps as above. Build doesn't succeed if package is unavailable.
@Tomas, please re-open if you see issues at your end. Thanks!

Comment 9 errata-xmlrpc 2019-08-28 19:54:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2547


Note You need to log in before you can comment on or make changes to this bug.